vue-cli搭建项目引入bootstrap报错

引入了bootstrap报错

引入jq:
输入 npm install jquery –save-dev 用npm下载jq依赖
找到build文件夹下的webpack.base.conf.js文件打开,修改配置
1、加入webpack对象:
var webpack=require(‘webpack’);

  plugins: [
    new webpack.ProvidePlugin({
      $: "jquery",
      jQuery: "jquery",
      "window.jQuery": "jquery"
    })
  ]

2、加入bootstrap,在src/assets中加入bootstrap相关的文件,css/fonts/js文件夹。然后打开main.js,添加代码

import './assets/css/bootstrap.css'
import './assets/js/bootstrap'

注意 这样引用bootstrap文件很容易报错

安装less-loader less file-loader postcss-loader

{
        test: /\.css$/,
        loader: 'style-loader!css-loader!less-loader?!postcss-loader'

      },
 {
        test: /\.eot(\?v=\d+\.\d+\.\d+)?$/,
        loader: 'file-loader'
      }, {
        test: /\.(ttf|eot|svg)(\?v=[0-9]\.[0-9]\.[0-9])?$/,
        loader: "file-loader",
      }

如果这样配置还报错,而且原因是var content = require(“!!../../../node_modules/css-loader/index.js??ref–8-1!../../../node_modules/postcss-loader/lib/index.js??ref–8-2!./bootstrap.css”)则

 {
        test: /\.css$/,
        loader: 'style-loader!css-loader!less-loader?!postcss-loader',
        include:[]//这个很关键,原因不想
      }

如果编译通过则可使用bootstrap

阅读更多
换一批

没有更多推荐了,返回首页